<!DOCTYPE html>
<html lang="ES">
<head>
  <meta charset="utf-8" />
  <title>Act_14</title>
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
  <script type="text/javascript">
    function numero(key) {
      var result = getPantalla();
      if (result!='0' || isNaN(key)){
        escribirPantalla(result + key);
      }else{
        escribirPantalla(key);
      } 
    }

    function escribirPantalla(value) {
      $("#numeros").val(value);
    }

    function getPantalla() {
      return($("#numeros").val());
    }

    function calc() {
      var result = eval(getPantalla()); 
      escribirPantalla(result);
    }

    function limpiar() { 
      escribirPantalla(0);
    }

    function raiz(){
      var val = getPantalla();
      var result = Math.sqrt(val);
      escribirPantalla(result);
    }

    function opuesto(){
      var val = getPantalla();
      var res = val.replace("+","-");
      escribirPantalla(res);
       
    }

    function inverso(){
      var val = getPantalla();
      var res = val.replace("*","/");
      escribirPantalla(res);
    }

    function retr(){
      var val = getPantalla();
      val = val.substring(0,val.length-1);
      escribirPantalla(val);
    }


  </script>
</head>

<body>
  <div class="calculadora">

 <input type="text" value="0" id="numeros"/>
  <p>
    <input type="button" value="Retr" onclick="retr()"   />
    <input type="button" value="CE" onclick="limpiar()"  />
    <input type="button" value="C" onclick="limpiar()"  />
  </p>

  <p>
    <input type="button" value="7" onclick="numero('7')" />
    <input type="button" value="8" onclick="numero('8')" />
    <input type="button" value="9" onclick="numero('9')" />
    <input type="button" value="/" onclick="numero('/')"  />
    <input type="button" value="Raiz" onclick="raiz()" />
  </p>

  <p>
    <input type="button" value="4" onclick="numero('4')" />
    <input type="button" value="5" onclick="numero('5')" />
    <input type="button" value="6" onclick="numero('6')" />
    <input type="button" value="*" onclick="numero('*')" />
    <input type="button" value="%" onclick="numero('%')" />
  </p>

  <p>
    <input type="button" value="1" onclick="numero('1')" />
    <input type="button" value="2" onclick="numero('2')" />
    <input type="button" value="3" onclick="numero('3')" />
    <input type="button" value="-" onclick="numero('-')" />
    <input type="button" value="1/x" onclick="inverso()" />
  </p>

  <p>
    <input type="button" value="0" onclick="numero('0')" />
    <input type="button" value="+/-" onclick="opuesto()" />
    <input type="button" value="." onclick="numero('.')" />
    <input type="button" value="+" onclick="numero('+')" />
    <input type="button" value="=" onclick="calc()" />
  </p>

  </div>
</body>
</html>